<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('shop_invoice_payments', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('invoice_id')->nullable()->index('order_id');
            $table->unsignedTinyInteger('payment_type')->nullable();
            $table->float('amount', 7)->nullable();
            $table->tinyText('reference')->nullable();
            $table->date('date')->nullable();
            $table->json('data')->nullable();
            $table->unsignedTinyInteger('validated')->nullable();
            $table->unsignedSmallInteger('created_by')->nullable();
            $table->unsignedSmallInteger('updated_by')->nullable();
            $table->unsignedSmallInteger('deleted_by')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('shop_invoice_payments');
    }
};
